## TeplStatusMenuButton TeplStatusMenuButton — A GtkMenuButton suitable for GtkStatusbar |

## Functions

TeplStatusMenuButton * | tepl_status_menu_button_new ()
void | tepl_status_menu_button_set_label_text ()

## Types and Values

struct | TeplStatusMenuButton

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkButton
                            ╰── GtkToggleButton
                                ╰── GtkMenuButton
                                    ╰── TeplStatusMenuButton

## Implemented Interfaces

TeplStatusMenuButton implements AtkImplementorIface, GtkBuildable, GtkActionable and GtkActivatable.

## Includes

    #include <tepl/tepl.h>

## Description

TeplStatusMenuButton is a GtkMenuButton that is suitable to be put in a GtkStatusbar.

It contains:

- Some text.

- An arrow.

- When clicked, a menu or popover can be shown (see the GtkMenuButton API).

## Functions

### tepl_status_menu_button_new ()

    TeplStatusMenuButton *
    tepl_status_menu_button_new (void);

#### Returns

a new TeplStatusMenuButton widget.

[transfer floating]

Since: 6.8

### tepl_status_menu_button_set_label_text ()

    void
    tepl_status_menu_button_set_label_text
                                   (TeplStatusMenuButton *button,
                                    const gchar *str);

To change the text displayed in `button` .

#### Parameters

button | a TeplStatusMenuButton. |
str | the text to set. |

Since: 6.8

## Types and Values

### struct TeplStatusMenuButton

    struct TeplStatusMenuButton;